summaryrefslogtreecommitdiffstats
path: root/gettext-tools/tests/xgettext-csharp-4
diff options
context:
space:
mode:
authorDaiki Ueno <ueno@gnu.org>2014-03-10 18:13:28 +0900
committerDaiki Ueno <ueno@gnu.org>2014-03-10 18:24:15 +0900
commitd66197a3ca8355efa22f1d9c687f41eb30ae19ff (patch)
treec4acc964d617b04629a3a3bbb7632f34cdb35b9c /gettext-tools/tests/xgettext-csharp-4
parent0e79f41006d2b4d69dd3eb57c0202faa6c1fba44 (diff)
downloadexternal_gettext-d66197a3ca8355efa22f1d9c687f41eb30ae19ff.zip
external_gettext-d66197a3ca8355efa22f1d9c687f41eb30ae19ff.tar.gz
external_gettext-d66197a3ca8355efa22f1d9c687f41eb30ae19ff.tar.bz2
tests: Remove unnecessary tempfile cleanup code
Cleanup code like "rm -fr $tmpfiles" are no longer needed, since 'init.sh' takes care of that.
Diffstat (limited to 'gettext-tools/tests/xgettext-csharp-4')
-rw-r--r--[-rwxr-xr-x]gettext-tools/tests/xgettext-csharp-414
1 files changed, 2 insertions, 12 deletions
diff --git a/gettext-tools/tests/xgettext-csharp-4 b/gettext-tools/tests/xgettext-csharp-4
index a47f8ab..5cca144 100755..100644
--- a/gettext-tools/tests/xgettext-csharp-4
+++ b/gettext-tools/tests/xgettext-csharp-4
@@ -3,10 +3,6 @@
# Tests for C# plural keyword support
-tmpfiles=""
-trap 'rm -fr $tmpfiles' 1 2 3 15
-
-tmpfiles="$tmpfiles xg-cs-4.cs"
cat <<EOF > xg-cs-4.cs
class TestCase {
public static void Main (String[] args) {
@@ -16,15 +12,11 @@ class TestCase {
}
EOF
-tmpfiles="$tmpfiles xg-cs-4.tmp.po xg-cs-4.po"
: ${XGETTEXT=xgettext}
${XGETTEXT} --omit-header --no-location --keyword=MyPluralString:2,3 \
- -d xg-cs-4.tmp xg-cs-4.cs
-test $? = 0 || { rm -fr $tmpfiles; exit 1; }
-LC_ALL=C tr -d '\r' < xg-cs-4.tmp.po > xg-cs-4.po
-test $? = 0 || { rm -fr $tmpfiles; exit 1; }
+ -d xg-cs-4.tmp xg-cs-4.cs || exit 1
+LC_ALL=C tr -d '\r' < xg-cs-4.tmp.po > xg-cs-4.po || exit 1
-tmpfiles="$tmpfiles xg-cs-4.ok"
cat <<EOF > xg-cs-4.ok
msgid "test 1"
msgid_plural "plural test"
@@ -41,6 +33,4 @@ EOF
${DIFF} xg-cs-4.ok xg-cs-4.po
result=$?
-rm -fr $tmpfiles
-
exit $result